LinetypeGeneration Example |
Using Programming Languages other than VBA
Sub Example_LinetypeGeneration() ' This example creates a polyline in model space and ' queries and changes the linetype generation for ' the polyline. ' To see the effect of changing the linetype generation, set ' the linetype of the polyline to something other than continuous, ' ByBlock, or ByLayer. Dim plineObj As AcadPolyline Dim points(0 To 14) As Double ' Define the 2D polyline points points(0) = 1: points(1) = 1: points(2) = 0 points(3) = 1: points(4) = 2: points(5) = 0 points(6) = 2: points(7) = 2: points(8) = 0 points(9) = 3: points(10) = 2: points(11) = 0 points(12) = 4: points(13) = 4: points(14) = 0 ' Create a lightweight Polyline object in model space Set plineObj = ThisDrawing.ModelSpace.AddPolyline(points) ZoomAll ' Find the current linetype generation for the polyline MsgBox "The linetype generation for the polyline is: " & plineObj.LinetypeGeneration ' Change the linetype generation plineObj.LinetypeGeneration = Not plineObj.LinetypeGeneration plineObj.Update MsgBox "The linetype generation for the polyline is now: " & plineObj.LinetypeGeneration End Sub
Comments? |